MKRESCUE(8)

NAME
mkrescue - make rescue floppy or CD

SYNOPSIS
/sbin/mkrescue makes a bootable rescue floppy or CD using the default kernel specified in lilo.conf.

DESCRIPTION
mkrescue takes its specifation for the kernel from the default image specified in /etc/lilo.conf. If the actual default is an other= specification, then use the first image= specification. Any associated initial ramdisk (initrd=), and append= options will also be used. The root directory will be taken to be the current root. A bootable floppy or CD-image will be created using LILO version 22.5.5 or later. mkrescue normally requires no options, unless a CD-image is desired (--iso).

OPTIONS

--append <string>
    Override any append= options taken from the default image. If there is any doubt about whether the lilo.conf options are correct, then specify no kernel parameters by providing the null string (--append "").

--debug
    Provide verbose output of the operation of mkrescue, pausing to allow the setting of internal operating parameters to be viewed. <CR> must be hit to proceed from these pauses.

--device <device>
    Make the floppy on a device other than /dev/fd0. The floppy disk will always be made to boot on BIOS device code 0x00 (A: drive), without regard to the drive on which it is created.

--fast
    Use a faster method of creating the boot floppy. This involves first creating a file of --size 1k blocks (default is 1440) mounted using a loopback device, creating the bootable floppy, then copying the entire file to the disk.

--fs [ ext2 | msdos | minix ]
    Specify the type of filesystem to create on the drive. ext2 is the default, but msdos and minix allow slightly more disk sectors for really big kernels.

--help
    Print a short usage synopsis, including a list of command options.

--image <label>
    Specifies the label or alias of the particular image from which the append, initial ramdisk, root, keytable, and kernel information is to be taken.

--initrd <filepath> and --kernel <filepath>
    These options, which must be used together, allow specification of an arbitrary kernel file and initial ramdisk file to be used on the created boot floppy. Be sure you know what you are doing before you use these options. If no inital ramdisk is needed with a particular kernel, then you MUST specify --initrd "", meaning a null pathname.

--install [ text | menu ]
    Allows overriding the default human interface used with the rescue bootloader (configuration file "install=" option). text is the default on 1.2MB and 1.44MB floppy disks, and menu is the default on 2.88MB floppies and HD emulation on CD-R media.

--iso
    Create an ISO-9660 bootable CD image (El Torito Format) suitable for burning to a CD-R or CD-RW. The --device specification defaults to the filename rescue.iso, and the --size defaults to 2880. A utility such as "wodim" may be used to burn the ISO file to a recordable CD medium. With this ISO option, the --size HD option is allowed.

--nocompact
    For faster kernel loading from a floppy, LILO map compaction is normally enabled. This option will disable map compaction by omitting the lilo -c switch.

--noformat
    Suppresses creation of a new filesystem on the boot floppy. This option may be used ONLY when you know that the floppy you will be writing upon is formatted with the same filesystem as specified by --fs XXX (default is ext2).

--root <device>
    Specify the root filesystem for the kernel on the boot floppy. The currently mounted root is taken as the default specification.

--size [ 1440 | 1200 | 2880 | HD ]
    The default floppy disk size is 1440, meaning a 1.44MB floppy. When --iso is specified, the default size is 2880. Allowed specifications are 1200, 1440, or 2880, meaning a 1.2MB, 1.44MB or 2.88MB floppy, respectively. No other floppy disk sizes are supported.

    The HD specification, meaning "hard disk", may only be used with the --iso option, to indicate a 16MB hard disk is to be generated for emulation. This allows for very large kernel/initial ramdisk combinations on CD-R. The hard disk image is created using loopback devices /dev/loop0 and /dev/loop1, which must be free to utilize this size option.

--version
    Print the version number of mkrescue, then terminate.

SEE ALSO
cdrecord(1), dd(1), wodim(1), lilo.conf(5), lilo(8), mkfs(8), mkinitrd(8), mkisofs(8), mount(8)